Skip to main content
GET
/
tools
List tools
curl --request GET \
  --url https://api.superglue.ai/v1/tools \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superglue.ai/v1/tools"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superglue.ai/v1/tools', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "steps": [
        {
          "id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
          "config": {
            "url": "https://api.example.com/search",
            "method": "GET",
            "type": "request",
            "queryParams": {
              "q": "<<(sourceData) => sourceData.query>>",
              "limit": 10
            },
            "headers": {
              "Content-Type": "application/json",
              "Authorization": "Bearer <<(sourceData) => sourceData.credentials.apiKey>>"
            },
            "body": "{\"query\": \"<<(sourceData) => sourceData.query>>\"}",
            "pagination": {
              "type": "cursorBased",
              "pageSize": "50",
              "cursorPath": "meta.next_cursor",
              "stopCondition": "(response, pageInfo, sourceData) => !response.data.pagination.has_more || pageInfo.totalFetched >= sourceData.maxResults"
            },
            "systemId": "3f7c8d9e-1a2b-4c5d-8e9f-0a1b2c3d4e5f"
          },
          "instruction": "Fetch user details from the API",
          "modify": false,
          "dataSelector": "(sourceData) => sourceData.data.items",
          "failureBehavior": "fail"
        }
      ],
      "name": "Web Search",
      "version": "2.1.0",
      "instruction": "Search the web for the given query and return relevant results",
      "inputSchema": {
        "type": "object",
        "properties": {
          "query": {
            "type": "string"
          },
          "maxResults": {
            "type": "integer",
            "default": 10
          }
        },
        "required": [
          "query"
        ]
      },
      "outputSchema": {},
      "outputTransform": "(sourceData) => sourceData.map(item => ({ id: item.id, title: item.name }))",
      "folder": "integrations/payments",
      "archived": false,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 1,
  "limit": 50,
  "total": 127,
  "hasMore": true
}

Authorizations

Authorization
string
header
required

Static API key authentication using Bearer token scheme. Include your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY

Alternatively, you can use the token query parameter to authenticate.

API keys can be generated in your superglue dashboard.

Query Parameters

page
integer
default:1
limit
integer
default:50
Required range: x <= 100

Response

200 - application/json

List of tools (latest versions only)

data
object[]
page
integer
Example:

1

limit
integer
Example:

50

total
integer
Example:

127

hasMore
boolean
Example:

true